## org.eclipse.emf.ecore.impl
Class DynamicEObjectImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.DynamicEObjectImpl

All Implemented Interfaces:
  Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

Direct Known Subclasses:
  DynamicEObjectImpl.BasicEMapEntry, DynamicEStoreEObjectImpl

    public class DynamicEObjectImpl

extends EObjectImpl
implements EStructuralFeature.Internal.DynamicValueHolder

An implementation of the model object 'EObject' that's tuned for dynamic use.

Nested Class Summary
`static class` `DynamicEObjectImpl.BasicEMapEntry<K,V>`
`protected static class` `DynamicEObjectImpl.DynamicEPropertiesHolderImpl` An internal class for holding less frequently members variables.

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EClass` `eClass`
`protected static java.lang.Object[]` `ENO_SETTINGS`
`protected java.lang.Object[]` `eSettings`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`DynamicEObjectImpl()` Creates a dynamic EObject.
`DynamicEObjectImpl(EClass eClass)` Creates a dynamic EObject.

Method Summary
`java.lang.Object` `dynamicGet(int dynamicFeatureID)` Returns the value of the feature.
`void` `dynamicSet(int dynamicFeatureID, java.lang.Object value)` Sets the value of the feature to the new value.
`void` `dynamicUnset(int dynamicFeatureID)` Unsets the value of the feature.
`EClass` `eClass()` Returns the meta class.
`int` `eDerivedStructuralFeatureID(EStructuralFeature eStructuralFeature)`
`protected EClass` `eDynamicClass()`
`protected boolean` `eHasSettings()`
`protected BasicEObjectImpl.EPropertiesHolder` `eProperties()`
`void` `eSetClass(EClass eClass)` Sets the meta class.
`protected EStructuralFeature.Internal.DynamicValueHolder` `eSettings()`
`protected int` `eStaticFeatureCount()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetDeliver, eSetProxyURI, eStaticClass`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStore, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eNotify`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### eClass

    protected EClass eClass

### eSettings

    protected java.lang.Object[] eSettings

### ENO_SETTINGS

    protected static final java.lang.Object[] ENO_SETTINGS

Constructor Detail

### DynamicEObjectImpl

    public DynamicEObjectImpl()

  Creates a dynamic EObject.

### DynamicEObjectImpl

    public DynamicEObjectImpl(EClass eClass)

  Creates a dynamic EObject.

Method Detail

### eStaticFeatureCount

    protected int eStaticFeatureCount()

  Overrides:
    `eStaticFeatureCount` in class `BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(EStructuralFeature eStructuralFeature)

  Overrides:
    `eDerivedStructuralFeatureID` in class `BasicEObjectImpl`

### eProperties

    protected BasicEObjectImpl.EPropertiesHolder eProperties()

  Overrides:
    `eProperties` in class `EObjectImpl`

### eHasSettings

    protected boolean eHasSettings()

  Overrides:
    `eHasSettings` in class `BasicEObjectImpl`

### eSettings

    protected EStructuralFeature.Internal.DynamicValueHolder eSettings()

  Overrides:
    `eSettings` in class `BasicEObjectImpl`

### eDynamicClass

    protected EClass eDynamicClass()

  Overrides:
    `eDynamicClass` in class `BasicEObjectImpl`

### eClass

    public EClass eClass()

  Description copied from interface: `EObject`
  Returns the meta class.

  The meta class defines the `features` available for reflective access.

  Specified by:
    `eClass` in interface `EObject`
  Overrides:
    `eClass` in class `EObjectImpl`
  Returns:
    the meta class.
  See Also:
    `EClass.getEAllStructuralFeatures()`

### eSetClass

    public void eSetClass(EClass eClass)

  Description copied from interface: `InternalEObject`
  Sets the meta class. An object with a set meta class is, by definition, a dynamic instance; it will support dynamic `settings`. an.

  Specified by:
    `eSetClass` in interface `InternalEObject`
  Overrides:
    `eSetClass` in class `EObjectImpl`
  Parameters:
    `eClass` - the dynamic meta class.
  See Also:
    `InternalEObject.eSetting(EStructuralFeature)`

### dynamicGet

    public java.lang.Object dynamicGet(int dynamicFeatureID)

  Description copied from interface: `EStructuralFeature.Internal.DynamicValueHolder`
  Returns the value of the feature.

  Specified by:
    `dynamicGet` in interface `EStructuralFeature.Internal.DynamicValueHolder`
  Parameters:
    `dynamicFeatureID` - the feature's index in the cached dynamic values.
  Returns:
    the value of the feature.

### dynamicSet

    public void dynamicSet(int dynamicFeatureID,
                           java.lang.Object value)

  Description copied from interface: `EStructuralFeature.Internal.DynamicValueHolder`
  Sets the value of the feature to the new value.

  Specified by:
    `dynamicSet` in interface `EStructuralFeature.Internal.DynamicValueHolder`
  Parameters:
    `dynamicFeatureID` - the feature's index in the cached dynamic values.
    `value` - the new value for the feature.

### dynamicUnset

    public void dynamicUnset(int dynamicFeatureID)

  Description copied from interface: `EStructuralFeature.Internal.DynamicValueHolder`
  Unsets the value of the feature.

  Specified by:
    `dynamicUnset` in interface `EStructuralFeature.Internal.DynamicValueHolder`
  Parameters:
    `dynamicFeatureID` - the feature's index in the cached dynamic values.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.